#include <lpc11xx.h>
#include "gpio.h"

void led_key_test(void);

void  Delay (uint32_t nCount);

int main(void)
{
	led_key_test();
}
/*******************************************************************************
* Function Name  : Delay
* Description    : Delay Time
* Input          : - nCount: Delay Time
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/
void  Delay (uint32_t nCount)
{
  for(; nCount != 0; nCount--);
}

/*******************************************************************************
* Function Name  : GPIO_Configuration
* Description    : Configure GPIO Pin
* Input          : None
* Output         : None
* Return         : None
* Attention		 : None
*******************************************************************************/

void GPIO_Configuration(void)
{
	/* LED1(PIO0_8)  LED2(PIO0_9)  LED3(PIO1_10)  LED4(PIO1_11) */
	//////////////////////////
	GPIOSetDir(PORT0,8,OUT);
	GPIOSetDir(PORT0,9,OUT);
	GPIOSetDir(PORT1,10,OUT);
	GPIOSetDir(PORT1,11,OUT);

	GPIOSetValue(PORT0,8,1);
	GPIOSetValue(PORT0,9,1);
	GPIOSetValue(PORT1,10,1);
	GPIOSetValue(PORT1,11,1);

	/*key1(PIO3_0)  key2(PIO3_1)  key3(PIO3_2)*/
	GPIOSetDir(PORT3,0,IN);
	GPIOSetDir(PORT3,1,IN);
	GPIOSetDir(PORT3,2,IN);

	/*joystick  PRESS(PIO1_0) A(PIO1_1) B(PIO1_2) C(PIO1_4) D(PIO1_8)*/
	GPIOSetDir(PORT1,0,IN);
	GPIOSetDir(PORT1,1,IN);
	GPIOSetDir(PORT1,2,IN);
	GPIOSetDir(PORT1,4,IN);
	GPIOSetDir(PORT1,8,IN);	
	
	
			
}

void led_key_test(void)
{
	uint8_t key=1;

	GPIO_Configuration();

	while(1)
	{
	/*key1(PIO3_0)  key2(PIO3_1)  key3(PIO3_2)*/
		if((LPC_GPIO3->DATA&(1<<0))!=(1<<0))
			key=4;
		if((LPC_GPIO3->DATA&(1<<1))!=(1<<1))
			key=3;
		if((LPC_GPIO3->DATA&(1<<2))!=(1<<2))
			key=2;
	/*joystick  PRESS(PIO1_0) A(PIO1_1) B(PIO1_2) C(PIO1_3) D(PIO1_4)*/
		if((LPC_GPIO1->DATA&(1<<0))!=(1<<0))
			key=0;
		if((LPC_GPIO1->DATA&(1<<1))!=(1<<1))
			key=2;
		if((LPC_GPIO1->DATA&(1<<2))!=(1<<2))
			key=3;
		if((LPC_GPIO1->DATA&(1<<4))!=(1<<4))
			key=4;  
		if((LPC_GPIO1->DATA&(1<<8))!=(1<<8))
			key=5;
	   switch(key)
	   {
			case 0:	
			GPIOSetValue(PORT0,8,LOW);
			GPIOSetValue(PORT0,9,LOW);
			GPIOSetValue(PORT1,10,LOW);
			GPIOSetValue(PORT1,11,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,8,HIGH);
			GPIOSetValue(PORT0,9,HIGH);
			GPIOSetValue(PORT1,10,HIGH);
			GPIOSetValue(PORT1,11,HIGH);
			Delay(0x5ffff);
			break;
		
			case 1:
			GPIOSetValue(PORT0,8,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,8,HIGH);

			GPIOSetValue(PORT0,9,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,9,HIGH);
			GPIOSetValue(PORT1,10,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,10,HIGH);
			GPIOSetValue(PORT1,11,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,11,HIGH);
			break;

			case 2:
			GPIOSetValue(PORT0,8,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,8,HIGH);
			Delay(0x5ffff);
			break;

			case 3:
			GPIOSetValue(PORT0,9,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,9,HIGH);
			Delay(0x5ffff);
			break;

			case 4:
			GPIOSetValue(PORT1,10,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,10,HIGH);
			Delay(0x5ffff);
			break;

			case 5:
			GPIOSetValue(PORT1,11,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,11,HIGH);
			Delay(0x5ffff);
			break;

			case 6:
			GPIOSetValue(PORT0,8,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,8,HIGH);

			GPIOSetValue(PORT0,9,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,9,HIGH);
			GPIOSetValue(PORT1,10,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,10,HIGH);
			GPIOSetValue(PORT1,11,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,11,HIGH);

			Delay(0x5ffff);
			GPIOSetValue(PORT1,11,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,11,HIGH);

			GPIOSetValue(PORT1,10,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT1,10,HIGH);
			GPIOSetValue(PORT0,9,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,9,HIGH);
			GPIOSetValue(PORT0,8,LOW);
			Delay(0x5ffff);
			GPIOSetValue(PORT0,8,HIGH);
			break;

		}	

	}	
}		




